package com.zd.chemical.mapper;

import java.util.List;
import com.zd.chemical.domain.ActAudituser;
import com.zd.chemical.domain.vo.ActAudituserVo;

/**
 * 工作流审批用户Mapper接口
 *
 * @author zd
 * @date 2022-08-16
 */
public interface ActAudituserMapper
{
    /**
     * 查询工作流审批用户
     *
     * @param id 工作流审批用户主键
     * @return 工作流审批用户
     */
    ActAudituser selectActAudituserById(Long id);

    /**
     * 查询工作流审批用户列表
     *
     * @param actAudituser 工作流审批用户
     * @return 工作流审批用户集合
     */
    List<ActAudituser> selectActAudituserList(ActAudituser actAudituser);

    /**
     * 查询工作流审批用户列表
     *
     * @param actAudituser 工作流审批用户
     * @return 工作流审批用户集合
     */
    List<ActAudituserVo> getActUserInfoList(ActAudituser actAudituser);


    /**
     * 根据主键集合查询工作流审批用户列表
     *
     * @param ids 主键集合
     * @return 工作流审批用户集合
     */
    List<ActAudituser> getListByIds(List <Long> ids);

    /**
     * 新增工作流审批用户
     *
     * @param actAudituser 工作流审批用户
     * @return 结果
     */
    int insertActAudituser(ActAudituser actAudituser);

    /**
     * 修改工作流审批用户
     *
     * @param actAudituser 工作流审批用户
     * @return 结果
     */
    int updateActAudituser(ActAudituser actAudituser);

    /**
     * 删除工作流审批用户
     *
     * @param id 工作流审批用户主键
     * @return 结果
     */
    int deleteActAudituserById(Long id);

    /**
     * 批量删除工作流审批用户
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteActAudituserByIds(Long[] ids);


    /**
     * 删除工作流审批用户
     *
     * @return 结果
     */
    int deleteActAudituserByAll();
}
